#!/bin/sh
#
# HighPoint ATA RAID Management Software Installation Script for SuSE Linux
#

[ $# -lt 1 ] && exit 1

HERE=`pwd`
GTKVER="1.2.6"

HPTRAID=`echo -n hptraid;echo $GTKVER`

case $1 in
-i) 
	if [ ! -f $HERE/hptraid.tar.gz ] ; then
		echo "Software package not found"
		exit 1
	fi

	if [ -f /usr/bin/hptraid ] ; then
		while true
		do
			echo -n "The software has been installed. Do you want reinstall it?(Y/N)"
		 	read yorn
		 	case $yorn in
		 	[yY])
		 		break
		 		;;
		 	[nN])
		 		exit 1
		 		;;
		 	*)
		 		continue
		 		;;
		 	esac
		done
		rm -f /usr/bin/hptraid
		rm -rf /usr/bin/res
		rm -rf /usr/bin/help
		rm -f /usr/bin/hptsvr
		rm -f /etc/init.d/rc3.d/S99hptsvr
		rm -f /etc/init.d/rc4.d/S99hptsvr
		rm -f /etc/init.d/rc5.d/S99hptsvr
		rm -f /etc/init.d/rc1.d/K99hptsvr
		rm -f /etc/init.d/rc2.d/K99hptsvr
		rm -f /etc/init.d/rc6.d/K99hptsvr
		/etc/init.d/hptdaemon stop
		rm -f /etc/init.d/hptdaemon
	fi
	
	cd /tmp
	gzip -dc $HERE/hptraid.tar.gz | tar -xv >/dev/null 2>/dev/null
	if [ -f $HPTRAID ] ; then
		cp -f $HPTRAID /usr/bin/hptraid
	else
		echo "There is no suitable gtk library on your system."
		echo "The software may still work, but unexpected error may occur."
		cp -f hptraid1.2.6 /usr/bin/hptraid
	fi
	chmod 544 /usr/bin/hptraid
	cp -f hptraid.desktop /opt/kde2/share/applnk/Applications/	
	cp -rf res /usr/bin/
	cp -rf help /usr/bin/
	cp -f hptsvr /usr/bin/
	cp -f $HERE/hptinstall.sh /usr/bin/
	chmod a+x /usr/bin/hptinstall.sh
	cp -f hptdaemon /etc/init.d/
	chmod a+x /etc/init.d/hptdaemon
	ln -s /etc/init.d/hptdaemon /etc/init.d/rc3.d/S99hptsvr
	ln -s /etc/init.d/hptdaemon /etc/init.d/rc4.d/S99hptsvr
	ln -s /etc/init.d/hptdaemon /etc/init.d/rc5.d/S99hptsvr
	ln -s /etc/init.d/hptdaemon /etc/init.d/rc1.d/K99hptsvr
	ln -s /etc/init.d/hptdaemon /etc/init.d/rc2.d/K99hptsvr
	ln -s /etc/init.d/hptdaemon /etc/init.d/rc6.d/K99hptsvr               

	rm -f hptraid	      
	rm -f hptraid.desktop
	rm -f hptsvr
	rm -rf res
	rm -rf help
	rm -f hptdaemon
	/etc/init.d/hptdaemon start
	echo "HighPoint ATA RAID Management Software has been installed successfully!"
	cd $HERE
	;;
-u)
	while true
	do
		echo -n "Are you sure to uninstall HighPoint ATA RAID Management 
Software?(Y/N)"
		read yesorno
		case $yesorno in
		[yY])
			rm -rf /usr/bin/hptraid
			rm -rf /usr/bin/res
			rm -rf /usr/bin/help
			rm -f /usr/bin/hptsvr
			rm -f /usr/bin/hptinstall.sh	 
			rm -f /opt/kde2/share/applnk/Applications/hptraid.desktop
			rm -f /etc/init.d/rc3.d/S99hptsvr
			rm -f /etc/init.d/rc4.d/S99hptsvr
			rm -f /etc/init.d/rc5.d/S99hptsvr
			rm -f /etc/init.d/rc1.d/K99hptsvr
			rm -f /etc/init.d/rc2.d/K99hptsvr
			rm -f /etc/init.d/rc6.d/K99hptsvr	 
			/etc/init.d/hptdaemon stop
			rm -f /etc/init.d/hptdaemon
			echo "Uninstall fininshed!" 
			break
			;;
		[nN])
			break
			;;
		*)
			continue
			;;
		esac
	done 
    ;;
*)
	exit 1
	;; 
esac
exit 0

